Page MenuHomePhabricator

1.31.0-wmf.27 deployment blockers
Closed, ResolvedPublicRelease

Details

Release Version
1.31.0-wmf.27
Release Date
1522022400

2018 week 13 1.31-wmf.27 Changes wmf/1.31.0-wmf.27

This MediaWiki Train Deployment is scheduled for the week of Monday, March 26th:

Monday March 26thTuesday, March 27thWednesday, March 28thThursday, March 29thFriday
SWAT deployments only.Branch wmf.27 and deploy to Group 0 Wikis.Deploy wmf.27 to Group 1 Wikis.Deploy wmf.27 to all Wikis.No deployments on fridays

How this works

  • Any serious bugs affecting wmf.27 should be added as subtasks beneath this one.
  • Any open subtask(s) block the train from moving forward.This means no further deployments until the blockers are resolved.
  • If something is serious enough to warrant a rollback then you should bring it to the attention of deployers on the #wikimedia-operations IRC channel.
  • For more info about deployment blockers, see Holding the train.

Related Links

Other Deployments

Previous: 1.31.0-wmf.26
Next: 1.31.0-wmf.28

Event Timeline

greg created this task.Jan 2 2018, 6:59 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 2 2018, 6:59 PM
greg triaged this task as Normal priority.Jan 17 2018, 4:42 PM
mmodell claimed this task.Mar 28 2018, 6:02 PM

Mentioned in SAL (#wikimedia-operations) [2018-03-28T18:03:53Z] <twentyafterfour> deploying 1.31.0-wmf.27 to group0. group1 in an hour. See T183966 for blockers.

Mentioned in SAL (#wikimedia-operations) [2018-03-28T22:08:49Z] <twentyafterfour> rolling forward group1 to 1.31.0-wmf.27 refs T183966 T190960

Mentioned in SAL (#wikimedia-operations) [2018-03-28T22:09:21Z] <twentyafterfour@tin> rebuilt and synchronized wikiversions files: sync https://gerrit.wikimedia.org/r/#/c/422563/ group1 wikis to 1.31.0-wmf.27 refs T183966 T190960

mmodell raised the priority of this task from Normal to High.Mar 29 2018, 6:50 PM
jcrespo added a subscriber: jcrespo.EditedApr 2 2018, 9:31 AM

There is something ongoing with the database, but cannot see it is 26 or 27-related, it may have started after 27 deploy. Security task: T191116

Update: confirmed it is .27, adding as blocker.

Mentioned in SAL (#wikimedia-operations) [2018-04-02T19:09:49Z] <twentyafterfour@tin> Synchronized php-1.31.0-wmf.27/includes/libs/rdbms/: sync I57dd8d3d0ca96d6fb2f9e83f062f29b1d53224dd refs T183966 T190960 (duration: 01m 19s)

Mentioned in SAL (#wikimedia-operations) [2018-04-02T20:59:16Z] <twentyafterfour> MediaWiki Train: rolling back to 1.31.0-wmf.26 refs T183966, T190960

Mentioned in SAL (#wikimedia-operations) [2018-04-02T21:22:17Z] <twentyafterfour@tin> Synchronized php-1.31.0-wmf.27/includes/libs/rdbms/database/: Revert ceb7d61ee7ef3edc6705abd41ec86b3afcd9c491 refs T183966 T190960 (duration: 00m 59s)

mmodell closed this task as Resolved.Apr 2 2018, 10:47 PM